//
//  call-preview+bridge.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/14/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import Foundation

@objc(CallPreviewManager)
class CallPreviewManager: RCTViewManager {
    override static func requiresMainQueueSetup() -> Bool {
        return true
    }
    
    override func view() -> UIView! {
        let view: CallPreview = CallPreview()
        return view
    }
    
    
    @objc func addRenderer(_ node: NSNumber, parentNode: NSNumber) {
        
        DispatchQueue.main.async {
            let component = self.bridge.uiManager.view(
                forReactTag: node
                ) as! CallPreview
            let parentView = self.bridge.uiManager.view(
                forReactTag: parentNode
                ) as! CallView
            
            parentView.settupPreview(component)
        }
    }
}
