//
//  call-remote-view-manager.m
//  adamo-sample
//
//  Created by Trần Tý on 8/14/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "React/RCTViewManager.h"

@interface RCT_EXTERN_MODULE(CallRemoteViewManager, RCTViewManager)
RCT_EXTERN_METHOD(
                  addRenderer:(nonnull NSNumber *)node
                  identity: (nonnull NSString *)identity
                  parentNode:(nonnull NSNumber *)parentNode
                  )

//MARK: EVENT

RCT_EXPORT_VIEW_PROPERTY(onPublishedVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onUnPublishedVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onPublishedAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onUnPublishedAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onSubcribeVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onUnSubcribeVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onSubcribeAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onUnSubcribeAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onEnabledVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onDisabledVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onEnabledAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onDisabledAudioTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onFailedToSubscribeVideoTrack, RCTDirectEventBlock)

RCT_EXPORT_VIEW_PROPERTY(onFailedToSubscribeAudioTrack, RCTDirectEventBlock)

@end
