//
//  Uiview+extension.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/13/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import Foundation

extension UIView {
    func fixInView(_ container: UIView, t: CGFloat = 0, r: CGFloat = 0, b: CGFloat = 0, l: CGFloat = 0) -> Void{
        self.translatesAutoresizingMaskIntoConstraints = false;
        //        self.frame = container.frame;
        container.addSubview(self);
        NSLayoutConstraint(item: self, attribute: .leading, relatedBy: .equal, toItem: container, attribute: .leading, multiplier: 1.0, constant: l).isActive = true
        NSLayoutConstraint(item: self, attribute: .trailing, relatedBy: .equal, toItem: container, attribute: .trailing, multiplier: 1.0, constant: r).isActive = true
        NSLayoutConstraint(item: self, attribute: .top, relatedBy: .equal, toItem: container, attribute: .top, multiplier: 1.0, constant: t).isActive = true
        NSLayoutConstraint(item: self, attribute: .bottom, relatedBy: .equal, toItem: container, attribute: .bottom, multiplier: 1.0, constant: b).isActive = true
    }
    func trAddViewAndConstrants(view: UIView, t: CGFloat, r: CGFloat, w: CGFloat, h: CGFloat){
        view.translatesAutoresizingMaskIntoConstraints = false
        self.addSubview(view)
        view.topAnchor.constraint(equalTo: self.topAnchor, constant: t).isActive = true
        view.rightAnchor.constraint(equalTo: self.rightAnchor, constant: -r).isActive = true
        view.widthAnchor.constraint(equalToConstant: w).isActive = true
        view.heightAnchor.constraint(equalToConstant: h).isActive = true
       
    }
    func outAddViewAndConstranst(view: UIView, top: CGFloat, right: CGFloat, bottom: CGFloat, left: CGFloat){
        view.translatesAutoresizingMaskIntoConstraints = false
        self.addSubview(view)
        view.topAnchor.constraint(equalTo: self.topAnchor, constant: top).isActive = true
        view.rightAnchor.constraint(equalTo: self.rightAnchor, constant: -right).isActive = true
        view.bottomAnchor.constraint(equalTo: self.bottomAnchor, constant: -bottom).isActive = true
        view.leftAnchor.constraint(equalTo: self.leftAnchor, constant: left).isActive = true
    }
}
