import { UIManager, findNodeHandle } from 'react-native'

export const UIManagerHelper = {
    dispatchViewMethod: (instance: React.Component, name: string, fName: string, params: Array<any>) => {
        //@ts-ignore
        UIManager.dispatchViewManagerCommand(
            findNodeHandle(instance),
            //@ts-ignore                 
            UIManager.getViewManagerConfig(name).Commands[fName],
            params,
        );
    }
}