package com.tytv.twiliovideo;

import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;

import androidx.constraintlayout.widget.ConstraintLayout;

import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.views.view.ReactViewGroup;
import com.twilio.video.LocalVideoTrack;
import com.twilio.video.VideoView;

public class Preview extends ConstraintLayout {

    VideoView preview;


    public Preview(Context context) {
        super(context);
        preview = new VideoView(context);
        preview.setLayoutParams(new LinearLayout.LayoutParams(
                LinearLayout.LayoutParams.MATCH_PARENT,
                LinearLayout.LayoutParams.MATCH_PARENT
        ));

        addViewInLayout(preview, 0, new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.MATCH_PARENT));

    }


    public void addRenderer(LocalVideoTrack track) {
        track.addRenderer(preview);
        preview.setMirror(true);
    }

}
