//
//  twiliovideo+RctConvert.swift
//  adamo-sample
//
//  Created by Trần Tý on 8/14/19.
//  Copyright © 2019 Trần Tý. All rights reserved.
//

import Foundation
import TwilioVideo

class TwilioVideoRctconvert {
    static func convertRemotePaticipant(_ p: TVIRemoteParticipant) -> [String: String] {
        return [
            "identity": p.identity,
        ]
    }
    
    static func convertRemotePaticipants(_ ps: Array<TVIRemoteParticipant>) -> Array<[String: String]> {
        return ps.map({ (p) -> [String: String] in
            return convertRemotePaticipant(p)
        })
    }
}
